
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//|
//| Dont change anything below here unless you know
//| What your doing.
//|
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

EditActionMap("playMap.sae");	
bindCommand($DAF_MineInput, make, $DAF_Mine, TO, "throwStart(\"Mine\");");
bindCommand($DAF_GrenadeInput, make, $DAF_Grenade, TO, "throwStart(\"Grenade\");");

// For firelinking
bindCommand($DAF_ClearFLInput, make, $DAF_ClearFL, TO, 		"remoteEval(2048,selectFireGroup,\"Clear\");");
bindCommand($DAF_FLSetPrimeInput, make, $DAF_FLSetPrime, TO, 	"remoteEval(2048,selectFireGroup,\"-1\");");
bindCommand($DAF_FLSet0Input, make, $DAF_FLSet0, TO, 		"remoteEval(2048,selectFireGroup,\"0\");");
bindCommand($DAF_FLSet1Input, make, $DAF_FLSet1, TO, 		"remoteEval(2048,selectFireGroup,\"1\");");
bindCommand($DAF_FLSet2Input, make, $DAF_FLSet2, TO, 		"remoteEval(2048,selectFireGroup,\"2\");");
bindCommand($DAF_FLSet3Input, make, $DAF_FLSet3, TO, 		"remoteEval(2048,selectFireGroup,\"3\");");
bindCommand($DAF_FLSet4Input, make, $DAF_FLSet4, TO, 		"remoteEval(2048,selectFireGroup,\"4\");");
bindCommand($DAF_FLSet5Input, make, $DAF_FLSet5, TO, 		"remoteEval(2048,selectFireGroup,\"5\");");
bindCommand($DAF_FLSet6Input, make, $DAF_FLSet6, TO, 		"remoteEval(2048,selectFireGroup,\"6\");");
bindCommand($DAF_FLSet7Input, make, $DAF_FLSet7, TO, 		"remoteEval(2048,selectFireGroup,\"7\");");
bindCommand($DAF_FLSet8Input, make, $DAF_FLSet8, TO, 		"remoteEval(2048,selectFireGroup,\"8\");");
bindCommand($DAF_FLSet9Input, make, $DAF_FLSet9, TO, 		"remoteEval(2048,selectFireGroup,\"9\");");
bindCommand($DAF_FLSet10Input, make, $DAF_FLSet10, TO,		"remoteEval(2048,selectFireGroup,\"10\");");

// Disable right mouse button (jet) every time.
// If you want the jet button to do something different instead, then just change the "IDACTIOn" part
// (bindAction(mouse0, make, button1, TO, IDACTION_JET, 1.000000); ) to whatever you want it to do,
// for each one.

bindCommand($DAF_JetInput, make, $DAF_Jet, TO, "nothing();");
bindCommand($DAF_JetInput, break, $DAF_Jet, TO, "nothing();");

// For our AutoPilot, authored by Katgurl-lolz
bindCommand($DAF_AutoPilotInput, make, $DAF_AutoPilot, TO, "DAF_AutoPilotActivate();");

//Our nothing function. It does.. nothing.

function nothing() {}

// Set these next to to handel the barrel rolls.

function throwStart(%type)
{
	$throwStartTime = getSimTime();
	if(%type  == "Mine" ){
		remoteEval(2048,checkForRoll);
}
}

// Set up these functions to handle switching jets on when in vehicles,
// and off again when not in vehicles.
function remoteActivateJets()
{
	EditActionMap("playMap.sae");	
	bindAction($DAF_JetInput, make, $DAF_Jet, TO, IDACTION_JET, 1.000000);
	bindAction($DAF_JetInput, break,$DAF_Jet, TO, IDACTION_JET, 0.000000);
	
}
function remoteDeactivateJets()
{
	EditActionMap("playMap.sae");	
	bindCommand($DAF_JetInput, make, $DAF_Jet, TO, "nothing();");
	bindCommand($DAF_JetInput, break, $DAF_Jet, TO, "nothing();");
	postAction(2048, IDACTION_JET, 0.000000); 

}

// Again, for our autopilot, authored by Katgurl-lolz
function DAF_AutoPilotActivate()
{
	remoteBP(2048,"<jc>Autopilot Activated",3);
	postaction(2048, IDACTION_MOVEFORWARD, 1.000000);
}

$DAF_Res["600x480"] = 260;
$DAF_Res["800x600"] = 345;
$DAF_Res["1024x768"] = 485;
$DAF_Res["1280x1024"] = 670;
$DAF_Res["1600x1200"] = 870;

function DAF_SetUpHud()
{
	DAF_KillHud();

	// Going to do this nice and inefficiently :)
	%M9 = getItemCount("M9 Clip");
	%M16 = getItemCount("M16 Clip");
	%SAW = getItemCount("SAW Mag");
	%AutoShotgun = getItemCount("AutoShotgun Mag");
	%MP5 = getItemCount("MP5 Clip");	
	%PSG1 = getItemCount("PSG1 Mag");
	%FiftyCal = getItemCount("FiftyCal Mag");
	%Stinger = getItemCount("Stinger Missile");
	
	if($DAF_Res[$pref::VideoFullScreenRes] == "")
		%Res = 345;
	else
		%Res = $DAF_Res[$pref::VideoFullScreenRes];
	$DAF_Hud_Clip_Container = newObject("Clip_Container", FearGui::FearGuiMenu, 70, %res, 100, 150); // XLoc, YLoc, Width, Height
	$DAF_Hud_Header = newObject("Clip_Header", FearGuiFormattedText, 75, %res, 1000, 1000);

	addToSet(PlayGui, $DAF_Hud_Clip_Container);
	addToSet(PlayGui, $DAF_Hud_Header);

	$DAF_Text_Alt = "<f3>Alt:\t$DAF_alt";
	$DAF_Text_Header = "\n<f2>Clips\t\t\t\t#";
	$DAF_Text_M9 =	"\\nM9<L15><f1>"@%M9;
	$DAF_Text_M16 =	"\\nM16<L15><f1>"@%M16;
	$DAF_Text_SAW = 	"\\nSAW<L15><f1>"@%SAW;
	$DAF_Text_AutoShotgun =	"\\nShotgun<L15><f1>"@%AutoShotgun;
	$DAF_Text_MP5 =	"\\nMP5<L15><f1>"@%MP5;
	$DAF_Text_PSG1 =	"\\nPSG1<L15><f1>"@%PSG1;
	$DAF_Text_FiftyCal =	"\\nFiftyCal<L15><f1>"@%FiftyCal;
	$DAF_Text_Stinger =	"\\nStinger<L15><f1>"@%Stinger;

	Control::setValue("Clip_Header", $DAF_Text_Header);

	if($DAF_Updating != true)
		DAF_Update();
}

function DAF_Update()
{
	$DAF_Updating = true;			
	%M9 = getItemCount("M9 Clip");
	%M16 = getItemCount("M16 Clip");
	%SAW = getItemCount("SAW Mag");
	%AutoShotgun = getItemCount("AutoShotgun Mag");
	%MP5 = getItemCount("MP5 Clip");	
	%PSG1 = getItemCount("PSG1 Mag");
	%FiftyCal = getItemCount("FiftyCal Mag");
	%smalllas = getItemCount("Small Lasgun Cell");
	%AutoShotgunlas = getItemCount("AutoShotgun Lasgun Cell");
	%heavyLas = getItemCount("Heavy Lasgun Cell");
	%Stinger = getItemCount("Stinger Missile");
	remoteeval(2048,getAltitude);
	%num=0;

	$DAF_Text_Alt = "<f0>Alt:\t\t<f2>"@$DAF_alt;
	$DAF_Text_Header = "\n\n<f2>Clips\t\t\t\t#";
	$DAF_Text_M9 =	"\n<f0>M9\t\t\t\t<f1>"@%M9;
	$DAF_Text_M16 =	"\n<f0>M16\t\t\t\t<f1>"@%M16;
	$DAF_Text_SAW = 	"\n<f0>SAW\t\t\t<f1>"@%SAW;
	$DAF_Text_AutoShotgun =	"\n<f0>Shotgun\t\t<f1>"@%AutoShotgun;
	$DAF_Text_MP5 =	"\n<f0>MP5\t\t\t\t<f1>"@%MP5;
	$DAF_Text_PSG1 =	"\n<f0>PSG1\t\t\t\t<f1>"@%PSG1;
	$DAF_Text_FiftyCal =	"\n<f0>FiftyCal\t\t<f1>"@%FiftyCal;
	$DAF_Text_Stinger =	"\n<f0>Stinger\t\t\t<f1>"@%Stinger;


	%CurText = $DAF_Text_Alt @ $DAF_Text_Header;
	%num+=%Amt;

	if(%M9)
	{
		%CurText = %CurText @ $DAF_Text_M9;
		%num+=%Amt;
	}		
	if(%M16)
	{
		%CurText = %CurText @ $DAF_Text_M16;
		%num+=%Amt;
	}		
	if(%SAW)
	{
		%CurText = %CurText @ $DAF_Text_SAW;
		%num+=%Amt;
	}		
	if(%AutoShotgun)
	{
		%CurText = %CurText @ $DAF_Text_AutoShotgun;
		%num+=%Amt;
	}		
	if(%MP5)
	{
		%CurText = %CurText @ $DAF_Text_MP5;
		%num+=%Amt;
	}		
	if(%PSG1)
	{
		%CurText = %CurText @ $DAF_Text_PSG1;
		%num+=%Amt;
	}		
	if(%FiftyCal)
	{
		%CurText = %CurText @ $DAF_Text_FiftyCal;
		%num+=%Amt;
	}		
	if(%Stinger)
	{
		%CurText = %CurText @ $DAF_Text_Stinger;
		%num+=%Amt;
	}		
	
	$DAF_Cur_Text = %curText;
	Control::setValue("Clip_Header", $DAF_Cur_Text);
	Control::SetVisible("Clip_Header",true);
	schedule("DAF_Update();",0.25);
}

function remoteReturnAltitude(%server,%alt)
{
	$DAF_Alt = %alt;
}

function DAF_KillHud()
{
	deleteObject($DAF_Hud_Clip_Container);
	deleteObject($DAF_Hud_Header);
	DAF_killall();
}


function DAF_KillAll()
{
%ngs = nameToId("NamedGuiSet\\PlayGUI");
%len = Group::objectCount(%ngs);
for(%i = 0; %i < %len; %i++)
  {
  %obj = Group::getObject(%ngs, %i);
  %objectName=Object::getName(%obj);
  if(String::findSubStr(%objectName, "Clip_") != -1)
    deleteObject(%obj);
  }
%ngs = nameToId("NamedGuiSet");
%len = Group::objectCount(%ngs);
for(%i = 0; %i < %len; %i++)
  {
  %obj = Group::getObject(%ngs, %i);
  %objectName=Object::getName(%obj);
  if(String::findSubStr(%objectName, "Clip_") != -1)
    deleteObject(%obj);
  }
%ngs = nameToId("PlayGuiSet");
%len = Group::objectCount(%ngs);
for(%i = 0; %i < %len; %i++)
  {
  %obj = Group::getObject(%ngs, %i);
  %objectName=Object::getName(%obj);
  if(String::findSubStr(%objectName, "Clip_") != -1)
    deleteObject(%obj);
  }
$daf_updating = false;
}

if($DAF_Activate_ClipBox)
	schedule("DAF_Setuphud();",10);

function EndGame()
{
	if($daf_updating)
	DAF_KillAll();
	
	
	$ConnectedToServer = FALSE;
   setCursor(MainWindow, "Cur_Arrow.bmp");
   disconnect();
   if ($SinglePlayer)
	   TrainingEndGameCallback();

	if ($pref::userCDOverride == False)
	{
		rbSetPlayMode (CD, 0);
		rbStop (CD);
		$cdTrack = "";
	}
	$recordDemo = FALSE;
   startMainMenuScreen();
   deleteServer();
	QuickStart();
   deleteObject(ConsoleScheduler);
   newObject(ConsoleScheduler, SimConsoleScheduler);
   if($quitOnDisconnect)
      schedule("quit();", 0);
}
